## LatexilaSettings LatexilaSettings — Central access to GSettings objects |

## Functions

LatexilaSettings * | latexila_settings_get_singleton ()
GSettings * | latexila_settings_peek_editor_settings ()

## Types and Values

struct | LatexilaSettings

## Object Hierarchy

        GObject
        ╰── LatexilaSettings

## Includes

    #include <latexila.h>

## Description

LatexilaSettings is a singleton class to have a central access to GSettings objects. The central access permits to share the same GSettings objects between different parts of the application, which normally increases the performances when synchronizing the values (but this hasn't been verified).

## Functions

### latexila_settings_get_singleton ()

    LatexilaSettings *
    latexila_settings_get_singleton (void);

#### Returns

the LatexilaSettings singleton instance.

[transfer none]

### latexila_settings_peek_editor_settings ()

    GSettings *
    latexila_settings_peek_editor_settings
                                   (LatexilaSettings *self);

#### Parameters

self | the LatexilaSettings instance. |

#### Returns

the GSettings for `"org.gnome.gnome-latex.preferences.editor"`.

[transfer none]

## Types and Values

### struct LatexilaSettings

    struct LatexilaSettings;